> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /linkedin/post/comments

> Linkedin Get Post Comments

**Price:** 1 credit per 10 results



## OpenAPI

````yaml /openapi/professional-network.json post /api/linkedin/post/comments
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/linkedin/post/comments:
    post:
      tags:
        - LinkedIn Posts
      summary: /linkedin/post/comments
      description: |-
        Linkedin Get Post Comments

        **Price:** 1 credit per 10 results
      operationId: __api_linkedin_post_comments_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkedinPostCommentsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LinkedinPostComment'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LinkedinPostCommentsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        urn:
          $ref: '#/components/schemas/LinkedinURN_Literal_activity__'
        sort:
          $ref: '#/components/schemas/LinkedinPostCommentsSort'
          default: recent
        count:
          type: integer
          exclusiveMinimum: 0
      type: object
      required:
        - urn
        - count
    LinkedinPostComment:
      properties:
        '@type':
          type: string
          default: LinkedinPostComment
        urn:
          $ref: '#/components/schemas/LinkedinURN'
        url:
          type: string
        text:
          type: string
        author:
          anyOf:
            - $ref: '#/components/schemas/LinkedinPostCommentUser'
            - $ref: '#/components/schemas/LinkedinPostCommentCompany'
            - type: 'null'
        created_at:
          type: integer
        is_commenter_post_author:
          type: boolean
        comment_count:
          anyOf:
            - type: integer
            - type: 'null'
        reactions:
          anyOf:
            - items:
                $ref: '#/components/schemas/LinkedinReaction'
              type: array
            - type: 'null'
        parent:
          anyOf:
            - $ref: '#/components/schemas/LinkedinURN'
            - type: 'null'
      type: object
      required:
        - urn
        - url
        - text
        - created_at
        - is_commenter_post_author
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    LinkedinURN_Literal_activity__:
      properties:
        type:
          type: string
          const: activity
        value:
          type: string
      type: object
      required:
        - type
        - value
    LinkedinPostCommentsSort:
      type: string
      enum:
        - relevance
        - recent
    LinkedinURN:
      properties:
        type:
          $ref: '#/components/schemas/LinkedinURNPrefix'
        value:
          type: string
      type: object
      required:
        - type
        - value
    LinkedinPostCommentUser:
      properties:
        '@type':
          type: string
          default: LinkedinPostCommentUser
        internal_id:
          $ref: '#/components/schemas/LinkedinURN'
        urn:
          $ref: '#/components/schemas/LinkedinURN'
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        url:
          type: string
        headline:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - internal_id
        - urn
        - name
        - url
    LinkedinPostCommentCompany:
      properties:
        '@type':
          type: string
          default: LinkedinPostCommentCompany
        urn:
          $ref: '#/components/schemas/LinkedinURN'
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        url:
          type: string
      type: object
      required:
        - urn
        - name
        - url
    LinkedinReaction:
      properties:
        '@type':
          type: string
          default: LinkedinReaction
        type:
          $ref: '#/components/schemas/LinkedinReactionType'
        count:
          type: integer
      type: object
      required:
        - type
        - count
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    LinkedinURNPrefix:
      type: string
      enum:
        - fsd_company
        - fsd_group
        - fsd_profile
        - fsd_skill
        - activity
        - comment
        - company
        - group
        - geo
        - pulse
        - member
        - industry
        - ugcPost
        - job
        - message
        - conversation
        - media
        - share
        - linkedInArticle
    LinkedinReactionType:
      type: string
      enum:
        - like
        - interest
        - empathy
        - praise
        - appreciation
        - entertainment
        - maybe
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````